textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/urban_terror2/water1
{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendfunc gl_dst_color gl_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}

	}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/sfx/flame1_hell
{

	
	
	
	
	
	
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 600
	

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/urban_terror3/wu_railing
{
        qer_editorimage textures/urban_terror3/wu_railing.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/urban_terror3/wu_railing.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/darkhollow/darkhollow_skybox
{
qer_editorimage textures/darkhollow/darkhollow_view.tga
surfaceparm noimpact
surfaceparm nolightmap
q3map_globaltexture
surfaceparm sky
q3map_lightsubdivide 256
q3map_sun .5 .37 .19 70 170 33
q3map_surfacelight 90 

skyparms env/darkhollow/darkhollow - -
 
}

textures/cow7/fs_gate3a
{
	qer_editorimage textures/cow7/fs_gate3a.tga
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/cow7/fs_gate3a.tga
		rgbgen identity
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
		depthfunc equal
	}
}

textures/bbq/foliage
{
	qer_editor_image textures/bbq/foliage.tga
	qer_trans 0.40
	cull disable
	{
		map textures/bbq/foliage.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bbq/bbqivy
{
	qer_editorimage textures/bbq/bbqivy.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/bbq/bbqivy.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/jesus/jesuswall
{
   deformvertexes wave 100 sin 0 .2 0 .2
   cull none         
        {
		map $lightmap
              	
	}
	{
		map models/mapobjects/jesus/jesuswall.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen vertex
		alphagen lightingspecular
	}


}

models/mapobjects/skel/skel
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skel/skel.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

models/mapobjects/crucified/sheet
{
    cull disable
    deformvertexes wave 100 sin 0 .2 0 .2
        {
                map models/mapobjects/crucified/sheet.tga
                alphafunc ge128
		depthwrite
		rgbgen exactvertex
        }

}

textures/bbq/dirt05
{
	q3map_nonplanar 
	q3map_shadeangle 179
	{
		map textures/bbq/dirt05.tga
		rgbgen identity
	}

	{ 
		map $lightmap 
		blendfunc gl_dst_color gl_zero 
	} 
}

